Bug 106185 - Please use ngettext for handling plurals in redhat-config-kickstart
Please use ngettext for handling plurals in redhat-config-kickstart
Status: CLOSED DEFERRED
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-kickstart (Show other bugs)
beta2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
http://developer.gnome.org/doc/tutori...
:
Depends On:
Blocks: 106150
  Show dependency treegraph
 
Reported: 2003-10-03 11:09 EDT by Christian Rose
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 23:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2003-10-03 11:09:59 EDT
#: ../src/raidOptionsWindow.py:77
msgid "You currently have %d software RAID partition(s) free to use."


It would be nice to handle singular/plural here. In that case, please use
ngettext as mentioned in
http://developer.gnome.org/doc/tutorials/gnome-i18n/developer.html#plurals.
A simple code example of code using ngettext:

  g_printf (ngettext ("Found %d file.", "Found %d files.", nbr_of_files),
nbr_of_files);

Something similar should work in Python too.
Comment 1 Brent Fox 2003-10-07 23:27:34 EDT
I may be wrong, but I believe that ngettext was introduced in Python 2.3.  We
will be staying with Python 2.2 for Cambridge, so I'll defer this to a future
release.

Note You need to log in before you can comment on or make changes to this bug.